import Foundation
import HealthKit

extension HKWorkoutActivity {

    static var mock1: HKWorkoutActivity = {
        let configuration = HKWorkoutConfiguration()
        configuration.activityType = .init(rawValue: 24)!
        configuration.locationType = .init(rawValue: 3)!
        configuration.swimmingLocationType = .init(rawValue: 0)!
        configuration.lapLength = nil

        let metadata: [String: Any] = [ HKMetadataKeyExternalUUID : "0E0019A803D541E7B240FEB7A360911A"]
        return .init(
            workoutConfiguration: configuration,
            start: .init(timeIntervalSinceReferenceDate: 702107518.84307),
            end: .init(timeIntervalSinceReferenceDate: 702143189.432644),
            metadata: metadata)
    }()
}
